Bug 203931 - netcat (nc) with CRLF (-C) option
Summary: netcat (nc) with CRLF (-C) option
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nc   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL: http://www.reidea.hu/netcatcrlf/
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-24 16:08 UTC by Robert Koszorus
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.84-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 09:39:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source RPM with patch (50.73 KB, application/x-rpm)
2006-08-24 16:08 UTC, Robert Koszorus
no flags Details
man page of nc-1.84-7 (10.42 KB, text/plain)
2007-02-04 08:37 UTC, Robert Koszorus
no flags Details

Description Robert Koszorus 2006-08-24 16:08:19 UTC
Created attachment 134827 [details]
Source RPM with patch

Comment 1 Robert Koszorus 2006-08-24 16:08:19 UTC
Description of problem:
Most of the services from Internet (HTTP, POP3, SMTP, etc..) are using text
based protocol with CRLF line-ending, but the original nc doesn't support it.

Version-Release number of selected component (if applicable):
1.84-3.3

How reproducible:
I wrote a patch.

Steps to Reproduce:
1. Download patch
2. Use patch
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Radek Vokal 2006-08-28 11:41:07 UTC
Thanks, patch checked in.

Comment 3 Robert Koszorus 2007-02-04 08:05:02 UTC
Hi!
Thx.
What about man page?

Row

Comment 4 Robert Koszorus 2007-02-04 08:37:36 UTC
Created attachment 147295 [details]
man page of nc-1.84-7

Comment 5 Radek Vokal 2007-03-14 09:39:57 UTC
Checked in as well :)


Note You need to log in before you can comment on or make changes to this bug.